import createAxios from '@/utils/request'

import { BPM_BOOT } from '@/utils/constantRequest'

const MAPPING_PATH = BPM_BOOT + '/bpmSign'

/**
 * 查询流程分类数据
 */
export const listSign = (data: any) => {
    return createAxios({
        url: MAPPING_PATH + '/list',
        method: 'POST',
        data: data
    })
}

/**
 * 新增流程分类
 */
export const addSign = (data: any) => {
    return createAxios({
        url: MAPPING_PATH + '/add',
        method: 'POST',
        data: data
    })
}


/**
 * 更新流程分类
 */
export const updateSign = (data: any) => {
    return createAxios({
        url: MAPPING_PATH + '/update',
        method: 'POST',
        data: data
    })
}


/**
 * 删除流程分类
 */
export const deleteSign = (data: any) => {
    let ids = [data]
    return createAxios({
        url: MAPPING_PATH + '/delete',
        method: 'POST',
        data: ids
    })
}

/**
 * 查询所有流程分类
 */
export const getSignSimpleList = () => {
    return createAxios({
        url: MAPPING_PATH + '/simpleList',
        method: 'GET'
    })
}

